: Class LDAP_CardSet

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.addressbook.addresscard
Class LDAP_CardSet

    java.lang.Object
      |
      +--grendel.addressbook.addresscard.LDAP_CardSet

public class LDAP_CardSet
extends java.lang.Object
implements ICardSet, java.util.Enumeration

Constructor Summary
`protected` | `LDAP_CardSet(LDAP_Server aParentSource, netscape.ldap.LDAPSearchResults aResultSet)` Constructor for LDAP server.

Method Summary
`void` | `add(ICard aCard)` Add a card to the set.
`java.util.Enumeration` | `getEnumeration()` Return the card set enumeration.
`boolean` | `hasMoreElements()` Enumeration methods
`java.lang.Object` | `nextElement()` Enumeration methods
`void` | `remove(ICard aCard)` Remove a card from the set.
`void` | `sort(java.lang.String[] sortAttrs)` Sort the set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LDAP_CardSet

    protected LDAP_CardSet(LDAP_Server aParentSource,
                           netscape.ldap.LDAPSearchResults aResultSet)

  Constructor for LDAP server.

Method Detail

### add

    public void add(ICard aCard)

  Add a card to the set. This only addes the card to the set NOT the source of the set.
  Specified by:
    add in interface ICardSet

### remove

    public void remove(ICard aCard)

  Remove a card from the set. This only removes the card from the set NOT the source of the set.
  Specified by:
    remove in interface ICardSet

### sort

    public void sort(java.lang.String[] sortAttrs)

  Sort the set.
  Specified by:
    sort in interface ICardSet

### getEnumeration

    public java.util.Enumeration getEnumeration()

  Return the card set enumeration. We enumerate our own cards. FIX: Not multi-threaded!
  Specified by:
    getEnumeration in interface ICardSet

### hasMoreElements

    public boolean hasMoreElements()

  Enumeration methods
  Specified by:
    hasMoreElements in interface java.util.Enumeration

### nextElement

    public java.lang.Object nextElement()

  Enumeration methods
  Specified by:
    nextElement in interface java.util.Enumeration

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD